Summary: Linux Open-iSCSI Initiator
Name: open-iscsi
Version: 2.0
Release: 865.15
License: GPL
Group: System Environment/Daemons
URL: www.open-iscsi.org
Source: %{name}-%{version}-%{release}.tar.gz
Source1: initiatorname.iscsi
Source2: 2.6.24_compat.patch
Patch: open-iscsi-2.0-865-eldk.patch
Patch1: open-iscsi-2.0-865.15-2.6.24.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
This file describes the Linux* Open-iSCSI Initiator. The software was
tested on AMD Opteron (TM), Intel Xeon (TM), and Power PC (TM).

Open-iSCSI project is a high-performance, transport independent,
multi-platform implementation of RFC3720 iSCSI.

Open-iSCSI is partitioned into user and kernel parts.

The kernel portion of Open-iSCSI is a from-scratch code
licensed under GPL. The kernel part implements iSCSI data path
(that is, iSCSI Read and iSCSI Write), and consists of three
loadable modules: scsi_transport_iscsi.ko, libiscsi.ko and iscsi_tcp.ko.

User space contains the entire control plane: configuration
manager, iSCSI Discovery, Login and Logout processing,
connection-level error processing, Nop-In and Nop-Out handling,
and (in the future:) Text processing, iSNS, SLP, Radius, etc.
    
The user space Open-iSCSI consists of a daemon process called
iscsid, and a management utility iscsiadm.
  

%prep
%setup -q -n %{name}-%{version}-%{release}
%patch -p1 
%patch1 -p1 
cp %{SOURCE1} etc/
cp %{SOURCE2} kernel


%build
CROSS_COMPILE=`echo -n $CROSS_COMPILE | sed -e "s/-\$//"`-
export CROSS_COMPILE

%ifarch ppc ppc64
  CURRENT_ARCH=`ls -la ${RUNTIME_PREFIX}/%{_targetpath}/usr/src/linux/include/asm 2>/dev/null|sed 's/.*-> asm-//'`
  if [ -n $CURRENT_ARCH ]; then
    TARGETARCH=$CURRENT_ARCH
  else
    TARGETARCH="powerpc"
  fi  
%else
  TARGETARCH=%{_targetarch}
%endif

make ARCH=$TARGETARCH KSRC=${RUNTIME_PREFIX}/%{_targetpath}/usr/src/linux


%install
CROSS_COMPILE=`echo -n $CROSS_COMPILE | sed -e "s/-\$//"`-
export CROSS_COMPILE
%ifarch ppc ppc64
  CURRENT_ARCH=`ls -la ${RUNTIME_PREFIX}/%{_targetpath}/usr/src/linux/include/asm 2>/dev/null|sed 's/.*-> asm-//'`
  if [ -n $CURRENT_ARCH ]; then
    TARGETARCH=$CURRENT_ARCH
  else
    TARGETARCH="powerpc"
  fi  
%else
  TARGETARCH=%{_targetarch}
%endif

make ARCH=$TARGETARCH KSRC=${RUNTIME_PREFIX}/%{_targetpath}/usr/src/linux DESTDIR=${RPM_BUILD_ROOT} install


#%post
#depmod -a


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/iscsi/iscsid.conf
%config(noreplace) /etc/iscsi/initiatorname.iscsi
/etc/init.d/open-iscsi
/etc/iscsi/ifaces/iface.example
%doc /usr/share/man/man8/*
/lib/*
/sbin/*


%changelog
* Tue Jul 17 2007 Pavel Skrylev <3aHyga@mail.ru>
- Initial build

